globus_gass_copy_glob_stat_t(3)

NAME
globus_gass_copy_glob_stat_t - Glob expanded entry information.

SYNOPSIS

#include <globus_gass_copy.h>

  Data Fields

globus_gass_copy_glob_entry_t type
char * unique_id
char * symlink_target
int mode
int mdtm
globus_off_t size

Detailed Description

Glob expanded entry information.

Field Documentation

  int globus_gass_copy_glob_stat_t::mdtm
An integer specifying the modification time of the file. It is set to -1 when not available.

  int globus_gass_copy_glob_stat_t::mode
An integer specifying the mode of the file.
 It is set to -1 when not available.

  globus_off_t globus_gass_copy_glob_stat_t::size
A globus_off_t specifying the size of the file.
 It is set to -1 when not available.

  char* globus_gass_copy_glob_stat_t::symlink_target
This points to the full path of the target of a symlink.
 It is NULL for non-symlinks or when not available.

  globus_gass_copy_glob_entry_t globus_gass_copy_glob_stat_t::type
The file type of the entry

  char* globus_gass_copy_glob_stat_t::unique_id
A string that uniquely identifies the data that the entry refers to. A file and a symlink to that file will have the same unique_id.
 It is NULL for when not available.

Author

Generated automatically by Doxygen for globus_gass_copy from the source code.